Subject: bug#9918: closed (Re: bug#9918: 24.0.90; lazy-highlighting in Info mode)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 19 Nov 2011 21:08:02 +0000

Your bug report

#9918: 24.0.90; lazy-highlighting in Info mode

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
9918: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9918
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#9918: 24.0.90; lazy-highlighting in Info mode
From: Juri Linkov <[email-masked]>
To: Dani Moncayo <[email-masked]>
Cc: [email-masked]
Date: Sat, 19 Nov 2011 23:04:03 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> But now I'd like to fix the original problem you reported.
> I think we should remove `(not isearch-error)' from
> `isearch-lazy-highlight-new-loop'.  This is over-optimization.
> It can't know for sure beforehand whether lazy-highlighting will be
> able to highlight matches even when isearch-error is non-nil.

I installed this fix.

> I propose also to fix the clarity and unambiguousness of final messages

And this one as well.

Subject: 24.0.90; lazy-highlighting in Info mode
From: Dani Moncayo <[email-masked]>
To: [email-masked]
Date: Mon, 31 Oct 2011 15:46:46 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

>From "emacs -Q":
1. Open Info node "(emacs)Top" (C-h r).
2. Move point to the end of the first paragraph.
3. Type "C-s extensible".

The word "extensible" (in the first line of the paragraph) should be
lazy-highlighted, as happens if you repeat the experiment after doing
"M-x text-mode".

In GNU Emacs 24.0.90.1 (i386-mingw-nt6.1.7601)
 of 2011-10-27 on DANI-PC
Windowing system distributor `Microsoft Corp.', version 6.1.7601
configured using `configure --with-gcc (4.5)'

-- 
Dani Moncayo